worker_processes  auto;
user  www www;

events {
    worker_connections  1024;
}

http {
    include       mime.types;
    default_type  application/octet-stream;

    types {
        text/plain log;
    }

    sendfile        on;
    tcp_nopush     on;
    tcp_nodelay    on;
    gzip  on;

    include conf.d/headers.include;

    server {
        listen 8080 default;
        listen [::]:8080;
        server_name freebsdpkg.fizz.buzz;

        location / {
            root   /usr/local/share/poudriere/html;
            index  index.html index.htm;
        }

        location /data {
            alias /usr/local/poudriere/data/logs/bulk;
            autoindex on;
        }

        location /repo {
            alias /usr/local/poudriere/data/packages;
            autoindex on;
        }

        location /pkgbase {
            alias /usr/local/poudriere/data/images;
            autoindex on;
        }
    }
}
